/// Struct representing a single task
#[derive(Debug, Clone)]
pub struct Task {
    pub title: String,
    pub notes: String,
    pub tags: Vec<String>,
}

impl Task {
    /// Testing function to generate a new dummy task
    pub fn new_test_task() -> Self {
        Task {
            title: "This is a test".to_string(),
            notes: "".to_string(),
            tags: vec![],
        }
    }
}

impl Default for Task {
    fn default() -> Self {
        Task {
            title: "".to_owned(),
            notes: "".to_owned(),
            tags: vec![],
        }
    }
}
