/// Enum used to determine whether we increment or decrement a value
pub enum Op {
    Decrement,
    Increment,
}

impl Op {
    /// Apply the operator to a usize. We use a saturating subtraction to avoid panicking
    pub fn apply(&self, val: usize) -> usize {
        match &self {
            Op::Decrement => val.saturating_sub(1),
            Op::Increment => val + 1,
        }
    }
}
