use ratatui::{
    style::{Color, Style},
    widgets::{Block, Borders},
};

/// Return the basic block which uses normal foreground coloring
pub fn basic_block(title: &str) -> Block<'static> {
    let block = Block::new().borders(Borders::ALL);
    block.title(title.to_owned())
}

/// Return the block used for highlighted borders
pub fn highlighted_border_block(title: &str) -> Block<'static> {
    Block::new()
        .borders(Borders::ALL)
        .border_style(Style::default().fg(Color::Blue))
        .title(title.to_owned())
}

pub fn highlighted_item_block() -> Block<'static> {
    Block::new()
        .borders(Borders::ALL)
        .border_style(Style::default().fg(Color::Blue).bg(Color::Blue))
}
